#!/bin/sh

# Process filenames as a background task
# Wait before processing so as not to slow down bootup

fixfilenames()
{
	(
	sleep 30
	echo $(date) >> /opt/tmp/fixfilenames.log
	/opt/bin/jimsh /opt/webif/plugin/fixfilenames/fixfilenames.jim
	) &
}

# Do nothing but delete the logfile in the housekeeper boot
if [ ! -f /opt/etc/HouseKeeper ]
then
	mode=$(cat /opt/webif/plugin/fixfilenames/fixfilenames.conf)
	if [ $mode == "AUTO" ]
	then
		fixfilenames

	elif [ $mode == "ONCE" ]
	then
		rm -f /opt/webif/plugin/fixfilenames/fixfilenames.conf
		echo "OFF" > /opt/webif/plugin/fixfilenames/fixfilenames.conf
		fixfilenames
	fi

else
		rm -f /opt/tmp/fixfilenames.log
fi
